<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head>
    <title>Nova Cidade</title>
</h:head>

<h:body>
    <h:form>
        <h2>Nova Cidade</h2>

        <p:panel>
            <p:growl id="growl" life="2000"/>

            <h:panelGrid columns="2">
                <p:outputLabel for="nome" value="Nome:"/>
                <p:inputText id="nome" value="#{cidadeController.nome}"/>

                <p:outputLabel for="codIbge" value="Código IBGE:"/>
                <p:inputText id="codIbge" value="#{cidadeController.codIbge}"/>

                <p:outputLabel for="observacao" value="Observação:"/>
                <p:inputText id="observacao" value="#{cidadeController.observacao}"/>

                <f:facet name="footer">
                    <p:commandButton value="Salvar" update="growl" action="#{cidadeController.criarCidade}"/>
                </f:facet>
            </h:panelGrid>
        </p:panel>
    </h:form>
</h:body>
</html>
